using System.Diagnostics;
using System.Xml.Serialization;
using System;
using System.Web.Services.Protocols;
using System.Web.Services;


/// <summary>
/// <p>PageBox Web service invocation.<br/>
/// Generated with wsdl.exe.
/// Only change: construction setting the URL.</p>
/// <p>Copyright (c) 2002 Alexis Grandemange<br/>
/// Mail: alexis.grandemange@pagebox.net</p>
/// <pre>This program is free software; you can redistribute it and/or
/// modify it under the terms of the GNU Lesser General Public
/// License as published by the Free Software Foundation; version
/// 2.1 of the License.
/// This library is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
/// GNU Lesser General Public License for more details.
/// A copy of the GNU Lesser General Public License lesser.txt should be
/// included in the distribution.</pre>
/// </summary>
[System.Web.Services.WebServiceBindingAttribute(Name="DeploySoap", Namespace="PageBox")]
public class Deploy : System.Web.Services.Protocols.SoapHttpClientProtocol 
{
    
	[System.Diagnostics.DebuggerStepThroughAttribute()]
	public Deploy(string url) 
	{
		this.Url = url;
	}
    
	[System.Diagnostics.DebuggerStepThroughAttribute()]
	[System.Web.Services.Protocols.SoapDocumentMethodAttribute("PageBox/add", RequestNamespace="PageBox", ResponseNamespace="PageBox", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
	public string add(string arch, string downloadURL, string owner, int size, System.DateTime date, string docURL, string user) 
	{
		object[] results = this.Invoke("add", new object[] {
															   arch,
															   downloadURL,
															   owner,
															   size,
															   date,
															   docURL,
															   user});
		return ((string)(results[0]));
	}
    
	[System.Diagnostics.DebuggerStepThroughAttribute()]
	public System.IAsyncResult Beginadd(string arch, string downloadURL, string owner, int size, System.DateTime date, string docURL, string user, System.AsyncCallback callback, object asyncState) 
	{
		return this.BeginInvoke("add", new object[] {
														arch,
														downloadURL,
														owner,
														size,
														date,
														docURL,
														user}, callback, asyncState);
	}
    
	[System.Diagnostics.DebuggerStepThroughAttribute()]
	public string Endadd(System.IAsyncResult asyncResult) 
	{
		object[] results = this.EndInvoke(asyncResult);
		return ((string)(results[0]));
	}
    
	[System.Diagnostics.DebuggerStepThroughAttribute()]
	[System.Web.Services.Protocols.SoapDocumentMethodAttribute("PageBox/delete", RequestNamespace="PageBox", ResponseNamespace="PageBox", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
	public string delete(string arch, string downloadURL, string owner, string user) 
	{
		object[] results = this.Invoke("delete", new object[] {
																  arch,
																  downloadURL,
																  owner, 
																  user});
		return ((string)(results[0]));
	}
    
	[System.Diagnostics.DebuggerStepThroughAttribute()]
	public System.IAsyncResult Begindelete(string arch, string downloadURL, string owner, string user, System.AsyncCallback callback, object asyncState) 
	{
		return this.BeginInvoke("delete", new object[] {
														   arch,
														   downloadURL,
														   owner, 
														   user}, callback, asyncState);
	}
    
	[System.Diagnostics.DebuggerStepThroughAttribute()]
	public string Enddelete(System.IAsyncResult asyncResult) 
	{
		object[] results = this.EndInvoke(asyncResult);
		return ((string)(results[0]));
	}
}
